/*
 *  KText.h
 *  Knightmare
 *
 *  Created by Santi Ontañón on 11/13/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef KTEXT_H_
#define KTEXT_H_

class KText : public KObject {
public:
	KText(int x, int y, char *text,TTF_Font *font,int duration);
    virtual ~KText();
	
	virtual void draw(float angle,GLTManager *GLTM);
	virtual void draw(float angle,int x_offset,int y_offset,GLTManager *GLTM);
  
	virtual bool cycle(List<class VirtualController> *vcl, class Knightmare *game, class GLTManager *GLTM, SFXManager *SFXM);
	
	virtual bool is_a(Symbol *c);
    virtual bool is_a(char *c);
	
protected:
	int m_timmer;
	char *m_text;
	TTF_Font *m_font;
};


#endif /* KTEXT_H_ */
